#!/bin/sh
# ..................
# Output hohlen
out="/dev/null"
if grep -q 'ttyS0' /var/tuxbox/boot/boot.conf; then
	out="/dev/console"
fi
checkkillsd()
{
  local killsd=`cat /var/etc/.wikillsd`
  if [ "$killsd" = "0" ]
  then
    return
  fi
  if [ "$killsd" = "1" ]
  then
    sectionsdcontrol --pause >$out
    echo "1" >/tmp/.wisdgekillt
    echo "sectionsd gestopt" >$out
  fi
  if [ "$killsd" = "2" ]
  then
    killall -9 sectionsd
    echo "2" >/tmp/.wisdgekillt
    echo "sectionsd gekillt" >$out
  fi
}
playanitv()
{
	wget -O - -q 'http://localhost/control/lcd?lock=1' >/dev/null
	touch /tmp/.playanitv
}
playaniradio()
{
	wget -O - -q 'http://localhost/control/lcd?lock=1' >/dev/null
	touch /tmp/.playaniradio
}
freelcd()
{
	killall -9 aniplay
	wget -O - -q 'http://localhost/control/lcd?lock=0' >$out
}

buildStreamingData()
{
    src=`wget -O - -q http://localhost/control/zapto?getallpids`
    IVPid=`echo "$src"|sed -n 1p`
    IPMT=`echo "$src"|sed -n /pmt/p | sed -e 's/ .*$//1'`
    IAPid_List=`echo "$src"|sed -e 1d  | sed -n '/pmt/!p' | sed -n '/vtxt/!p'`
    IAPid=`echo "$IAPid_List" | sed -n 1p | sed -e 's/ .*$//1'`
    localIP=`ifconfig eth0|sed -n '/inet addr/p'|sed -e 's/^.*inet addr://g' -e 's/ .*//g'`
}

buildStreamingURL()
{
  buildStreamingData
  makeliveurl u "http:\/\/$localIP:31339\/0,$IPMT,$IVPid,$IAPid"
}

buildStreamingRawURL()
{
  buildStreamingData
  makeliveurl u "http://$localIP:31339/0,$IPMT,$IVPid,$IAPid"
}
CheckStreaming()
{
    cd /tmp
    AktPlayMode=`wget -O - -q http://127.0.0.1/control/getmode`
    echo "$AktPlayMode" >/tmp/aktplaymode
    AktPlayMode=`cat /tmp/aktplaymode | grep "tv"`
    rm -f /tmp/aktplaymode
    if [ "$AktPlayMode" = "" ]
    then
      echo `cat /share/tuxbox/neutrino/httpd/liveerror.html`
      exit 0
    fi

    ps aux >/tmp/chktasks
    TestUPD=`sed -n '/udpstream/p' /tmp/chktasks`
    TestSPTS=`sed -n '/streamts/p' /tmp/chktasks`
    ToolRunning=`sed -n '/gljtool/p' /tmp/chktasks`
    rm -f /tmp/chktasks
    if [ "$TestUPD" != "" ]
    then
      echo `cat /share/tuxbox/neutrino/httpd/liveerror1.html`
      exit 0
    fi
    if [ "$TestSPTS" != "" ]
    then
      echo `cat /share/tuxbox/neutrino/httpd/liveerror2.html`
      exit 0
    fi
}

#----------------------------------------------------------------
PlayLiveStream()
{
    CheckStreaming
    aviaext --avia-playback-mode-state >/tmp/playstate
    PlayMode=`cat /tmp/playstate`
    PlayString="Avia playback mode set to SPTS"
    rm -f /tmp/playstate
    PlayModeSwitch="0"
    if [ "$PlayMode" != "$PlayString" ]
    then
      wget -O /dev/null -q http://127.0.0.1/control/system?setAViAExtPlayBack=spts
      touch /tmp/.PlayModeSwitch
      PlayModeSwitch="1"
    fi
}
#----------------------------------------------------------------
PlayLiveStreamVLC()
{
    touch /tmp/.radio
    cd /tmp
    AktPlayMode=`wget -O - -q http://127.0.0.1/control/getmode`
    echo "$AktPlayMode" >/tmp/aktplaymode
    AktPlayMode=`cat /tmp/aktplaymode | grep "tv"`
    rm -f /tmp/aktplaymode
    if [ "$AktPlayMode" = "" ]
    then
      src=`wget -O - -q http://localhost/control/zapto?getpids`
      rPid=`echo "$src"|sed -n 2p`
      radiopid=`makeliveurl a 0,$rPid`
      localIP=`ifconfig eth0|sed -n '/inet addr/p'|sed -e 's/^.*inet addr://g' -e 's/ .*//g'`
      echo "http:\/\/$localIP:31338\/$radiopid"

      aviaext --avia-playback-mode-state >/tmp/playstate
      PlayMode=`cat /tmp/playstate`
      PlayString="Avia playback mode set to SPTS"
      rm -f /tmp/playstate
      PlayModeSwitch="0"
      if [ "$PlayMode" = "$PlayString" ]
      then
        wget -O /dev/null -q http://127.0.0.1/control/system?setAViAExtPlayBack=pes
        touch /tmp/.radiorunning
        return
      fi
      wget -O - -q http://127.0.0.1/control/rc?lock >/dev/null
			rcsim KEY_OK >/dev/null
      touch /tmp/.rclocked
      return
    fi

    rm -f /tmp/.radio
    if test -f /var/etc/.wihighspeed
    then
      CheckStreaming
      return
    fi

    ps aux >/tmp/chktasks
    TestUPD=`sed -n '/udpstream/p' /tmp/chktasks`
    TestSPTS=`sed -n '/streamts/p' /tmp/chktasks`
    ToolRunning=`sed -n '/gljtool/p' /tmp/chktasks`
    rm -f /tmp/chktasks
    if [ "$TestUPD" != "" ]
    then
      echo `cat /share/tuxbox/neutrino/httpd/liveerror1.html`
      exit 0
    fi
    if [ "$TestSPTS" != "" ]
    then
      echo `cat /share/tuxbox/neutrino/httpd/liveerror2.html`
      exit 0
    fi

    aviaext --avia-playback-mode-state >/tmp/playstate
    PlayMode=`cat /tmp/playstate`
    PlayString="Avia playback mode set to SPTS"
    rm -f /tmp/playstate
    PlayModeSwitch="0"
    if [ "$PlayMode" != "$PlayString" ]
    then
      wget -O /dev/null -q http://127.0.0.1/control/system?setAViAExtPlayBack=spts
      touch /tmp/.PlayModeSwitch
      PlayModeSwitch="1"
    fi
    newurl=`buildStreamingURL`
    echo $newurl
}
#--------------------------------------------------------------------------------
MakeChanelFrame()
{
    wget -O - -q http://127.0.0.1/control/getbouquets|sed -e 's/^\([^ ]*\) \(.*$\)/<option value=\1 >\2<\/option>/g'|sed -e "s/value=$aktbouqet /& selected/g" >/tmp/blistopt
    echo "</select>&nbsp;&nbsp;" >>/tmp/blistopt
    echo '<select size="1" name="kanal" onchange="changeKanal()" style="font-weight: 700">' >>/tmp/blistopt

    aktkanal=`wget -O - -q http://127.0.0.1/control/getonidsid`
    wget -O - -q http://127.0.0.1/control/getbouquet?bouquet=$aktbouqet|sed -e 's/^\([^ ]*\) \([^ ]*\) \(.*$\)/<option value=\2>\1 \3<\/option>/g'|sed -e "s/value=$aktkanal/& selected/g"  >/tmp/klistopt.tmp
    CheckChanel=`sed -n '/selected/p' /tmp/klistopt.tmp`
    if [ "$CheckChanel" = "" ]
    then
      echo "<option value=-1 selected></option>" >/tmp/klistopt
      echo `cat /tmp/klistopt.tmp` >>/tmp/klistopt
      rm -f /tmp/klistopt.tmp
    else
      mv /tmp/klistopt.tmp /tmp/klistopt
    fi

#    echo "</select></p></form>" >>/tmp/klistopt
    echo `cat /share/tuxbox/neutrino/httpd/GLJ-LiveF1.htm`
    echo `cat /tmp/blistopt`
    echo `cat /tmp/klistopt`
    echo `cat /share/tuxbox/neutrino/httpd/GLJ-LiveF2.htm`
    rm -f /tmp/klistopt
    rm -f /tmp/blistopt
}
#------------------------------------------------------------------------------------------------------------------------------
#-------------------------------
		touch /tmp/.waitstart
    case "$1" in
      zap)
          if test -f /tmp/.playhstv
          then
            touch /tmp/.zaping
            killall -9 udpstreamts
            rm -f /tmp/.wistreaming*
            wget -O - -q http://127.0.0.1/control/zapto?$2 >/dev/null
            echo "$4" >/tmp/.starthstv
            cat /share/tuxbox/neutrino/httpd/Live-HS.htm
            exit 0
          fi

          touch /tmp/.zaping
          killall -9 streamts
          rm -f /tmp/.wistreaming*
          wget -O - -q http://127.0.0.1/control/zapto?$2 >/dev/null
          url=`buildStreamingURL`
          case "$3" in
            iex)
              cmd="sed -e s/LiveURL/$url/g /share/tuxbox/neutrino/httpd/LiveIE.htm" ;;
            moz)
              cmd="sed -e s/Y_URL/$url/g /share/tuxbox/neutrino/httpd/LiveMoz.htm" ;;
          esac
          buildHTML=`$cmd`
          echo $buildHTML
          rm -f /tmp/.zaping
          exit 0 ;;
      mbl)
          aktbouqet="$2"
          if [ "$2" = "0" ]
          then
            aktbouqet=`wget -O - -q http://127.0.0.1/control/getbouquet?actual`
          fi
          MakeChanelFrame
          exit 0 ;;
      iex)
          CheckStreaming
          if test -f /var/etc/.wihighspeed
          then
            checkkillsd
						playanitv
            rm -f /share/tuxbox/neutrino/httpd/Live-HS.htm
            ln -s /share/tuxbox/neutrino/httpd/Live-HS-IE.htm /share/tuxbox/neutrino/httpd/Live-HS.htm
            cat /share/tuxbox/neutrino/httpd/Live-HS-IE.htm
            echo $2 >/tmp/.starthstv
            exit 0
          else
            checkkillsd
						playanitv
            PlayLiveStream
            url=`buildStreamingURL`
            sed -e s/LiveURL/$url/g /share/tuxbox/neutrino/httpd/LiveIE.htm
          fi ;;
      moz)
          CheckStreaming
          if test -f /var/etc/.wihighspeed
          then
            checkkillsd
						playanitv
            rm -f /share/tuxbox/neutrino/httpd/Live-HS.htm
            ln -s /share/tuxbox/neutrino/httpd/Live-HS-MOZ.htm /share/tuxbox/neutrino/httpd/Live-HS.htm
            cat /share/tuxbox/neutrino/httpd/Live-HS-MOZ.htm
            echo $2 >/tmp/.starthstv
            exit 0
          else
            checkkillsd
						playanitv
            PlayLiveStream
            url=`buildStreamingURL`
            cmd="sed -e s/Y_URL/$url/g /share/tuxbox/neutrino/httpd/LiveMoz.htm"
            buildHTML=`$cmd`
            echo $buildHTML
          fi ;;
      vlc)
          url=`PlayLiveStreamVLC`
          if test -f /tmp/.radio
          then
						playaniradio
            sed -e s/LiveURL/$url/g /share/tuxbox/neutrino/httpd/dbox-radio.pls
            rm -f /tmp/.radio
            exit 0
          fi

          if test -f /var/etc/.wihighspeed
          then
            checkkillsd
						playanitv
            cat /share/tuxbox/neutrino/httpd/dbox-highspeed.pls
            echo "$2" >/tmp/.starthstv
            exit 0
          else
            checkkillsd
						playanitv
            sed -e s/LiveURL/$url/g /share/tuxbox/neutrino/httpd/dbox.pls
          fi ;;
      getstreamext)
          cd /tmp
          AktPlayMode=`wget -O - -q http://127.0.0.1/control/getmode`
          echo "$AktPlayMode" >/tmp/aktplaymode
          AktPlayMode=`cat /tmp/aktplaymode | grep "tv"`
          rm -f /tmp/aktplaymode
          if [ "$AktPlayMode" = "" ]
          then
            echo `cat /var/etc/.wiradioext`
          else
            echo `cat /var/etc/.witvext`
          fi
          exit 0 ;;
      livetvtype)
					livetv=1
					[ -e /var/etc/.wipopup ] && livetv=0
					echo "$livetv"
          exit 0 ;;
    esac
################################################################################################

    if test -f /tmp/.PlayModeSwitch
    then
      wget -O - -q http://127.0.0.1/control/rc?lock >/dev/null
      rcsim KEY_OK >/dev/null
      rm -f /tmp/.PlayModeSwitch
      touch /tmp/.liverunning
    else
      wget -O - -q http://127.0.0.1/control/rc?lock >/dev/null
      rcsim KEY_OK >/dev/null
      touch /tmp/.rclocked
    fi
    exit;

